> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-10-6.md).

# Version 6.10.6 Changelog (June 28th, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 6.10.6.71256
* Release Date: June 28th, 2019
* Built with Xcode 10.2.1 (10E1001)

## New

* A new OCG (Optional Content Groups) layer control that lists the OCG layers in a document and allows specific layers to be shown or hidden. The OCG layer control is displayed in the `PTNavigationListsViewController`. By default the layer control is shown or hidden when OCG layers are detected in the document. This automatic behavior can be changed with the [`pdfLayerViewControllerVisibility`](https://sdk.apryse.com/api/ios/Classes/PTNavigationListsViewController.html#/c:objc\(cs\)PTNavigationListsViewController\(py\)pdfLayerViewControllerVisibility) property on the `PTNavigationListsViewController` class.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-17351842cf33fd96a9c9b5cc4fe9199db779eaac%2Fbda0bae9a79267bc7555d0e90ad790278903e621-1280x1280.gif?alt=media)

* Realtime collaboration support has been added to `Tools.framework`. The Collaboration sample in the SDK has also been updated to include a WebViewer Server backend in addition to the existing Firebase backend. For more information please see our [collaboration guide](/ios/collaboration/overview-i.md).
* Measurement annotations, created with the `PTRulerCreate`, `PTAreaCreate`, or `PTPerimeterCreate` tools, can now be calibrated to a specific reference value from the measurement annotation's "Calibrate" menu item.
* All controls created internally by the [`PTDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html) class are now overridable via the [`PTOverrides`](/ios/annotation/customization.md#override-classes)[ system](/ios/annotation/customization.md#override-classes).
* Properties have been added to the `PTPDFViewCtrl` class for existing getter and/or setter methods.

## Bug fixes

* Fixed a bug preventing long-pressing to move the cursor while editing a text form-field.
* A number of miscellaneous bug fixes.

## API diff

* Getter and setter methods on the `PTPDFViewCtrl` class that are now wrapped in properties are no longer available in Swift. For example, previously to get the page count of a PDFViewCtrl, `pdfViewCtrl.getPageCount()` would be used. The [`GetPageCount`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/c:objc\(cs\)PTPDFViewCtrl\(im\)GetPageCount) method can still be used from Objective-C, but the [`pageCount`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/c:objc\(cs\)PTPDFViewCtrl\(py\)pageCount) property must be used from Swift: `pdfViewCtrl.pageCount`.
* The `UICollectionView` used by the `PTThumbnailsViewController` class can now be accessed via a [`collectionView`](https://sdk.apryse.com/api/ios/Classes/PTThumbnailsViewController.html#/c:objc\(cs\)PTThumbnailsViewController\(py\)collectionView) property.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-10-6.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
